<?php
/**
 * Template: Comments.php
 *
 * @package RedLine
 * @subpackage Template
 */

// Make sure comments.php doesn't get loaded directly
if ( !empty( $_SERVER[ 'SCRIPT_FILENAME' ] ) && 'comments.php' == basename( $_SERVER[ 'SCRIPT_FILENAME' ] ) )
	die ( 'Please do not load this page directly. Thanks!' );

if ( post_password_required() ) { ?>
	<p class="nocomments"><?php _e( 'This post is password protected. Enter the password to view comments.', 'redline' );?></p>
<?php return; } ?>

<?php if ( have_comments() ) : // If comments exist for this entry, continue ?>
<!--BEGIN #comments-->
<div id="comments">

<?php if ( ! empty( $comments_by_type ['pings'] ) ) { ?>
	<?php framework_discussion_title( 'pings' ); ?>
	<!--BEGIN .pings-list-->
    <ol class="pings-list">
		<?php wp_list_comments(array(
        'type'         => 'pings',
        'callback'     => 'framework_pings_callback',
        'end-callback' => 'framework_pings_endcallback' )); ?>
	<!--END .pings-list-->
    </ol>
<?php } ?>

<?php if ( ! empty( $comments_by_type['comment'] ) ) { ?>
	<?php framework_discussion_title( 'comment' ); ?>
    <?php framework_discussion_rss(); ?>
	<?php framework_comment_navigation(); ?>
    <!--BEGIN .comment-list-->
    <ol class="comment-list">
		<?php wp_list_comments(array(
        'type'         => 'comment',
        'callback'     => 'framework_comments_callback',
        'end-callback' => 'framework_comments_endcallback' )); ?>
    <!--END .comment-list-->
    </ol>
<?php } ?>

<!--END #comments-->
</div>
<?php endif; // ( have_comments() ) ?>

<?php if ( comments_open() ) : // show comment form ?>
<!--BEGIN #respond-->
<?php comment_form (array(
	'comment_field'        => '<p class="comment-form-comment"><textarea id="comment" name="comment" cols="68" rows="5" aria-required="true"></textarea></p>',
	'comment_notes_before' => '',
	'comment_notes_after'  => '',
	'title_reply'          => __( 'Leave a Reply', 'redline' ),
	'title_reply_to'       => __( 'Leave a Reply to %s', 'redline' ),
	'cancel_reply_link'    => __( 'Cancel reply', 'redline' ),
	'label_submit'         => __( 'Post Comment', 'redline' )
) ); ?>

<?php else : // if comments are closed ?>
	<p class="nocomments"><?php _e( 'Comments are closed.', 'redline' ); ?></p>
<?php endif; // ( comments_open() ) ?>
