<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js" >

<head>
	<!-- Meta Tags -->
	<meta http-equiv="Content-Type" content="<?php bloginfo( 'html_type' ); ?>; charset=<?php bloginfo( 'charset' ); ?>" />
	<meta name="generator" content="WordPress" /> <!-- Built with RedLine Theme -->
	
	<title><?php semantic_title(); ?></title>
	
	<link rel="profile" href="http://purl.org/uF/hAtom/0.1/" />
	<link rel="profile" href="http://purl.org/uF/2008/03/" />
	
	<!-- Stylesheets -->
	<link rel="stylesheet" href="<?php bloginfo( 'stylesheet_url' ); ?>" type="text/css" media="screen, projection" />
	<link rel="stylesheet" href="<?php echo CSS . '/print.css'; ?>" type="text/css" media="print" />

	<!-- Favicon: Browser + iPhone Webclip -->
	<link rel="shortcut icon" href="<?php echo IMAGES . '/favicon.ico'; ?>" />
	<link rel="apple-touch-icon" href="<?php echo IMAGES . '/iphone.png'; ?>" />	

	<!-- Links: RSS + Atom Syndication + Pingback etc. -->
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo( 'atom_url' ); ?>" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	

<?php // Theme Hook 
	if ( is_singular() && get_option( 'thread_comments' ) ) 
		wp_enqueue_script( 'comment-reply' ); // loads the javascript required for threaded comments
	
	wp_head(); 	
?>
</head><!--END head-->

<!--BEGIN body-->
<body class="<?php semantic_body(); ?>">

	<div id="feedarea"><!-- Begin feedarea -->
	<dl>
	<dt><span style="float:left;"><?php bloginfo( 'description' ) ?></span>
	<?php echo date_i18n( __( 'l, j F Y - G:i', 'redline' )); ?></dt>
	<dd><a href="<?php bloginfo( 'rss2_url' ); ?>"><?php _e( 'Publications','redline' );?></a></dd>
	<dd><a href="<?php bloginfo( 'comments_rss2_url' ); ?>"><?php _e( 'Comments','redline' );?></a></dd>
	</dl></div><!-- end id:feedarea -->

	<!--BEGIN #container-->
	<div id="container">
 	<!--BEGIN .header-->
	<div class="header">
		<div id="topmenu">
		 <!-- Primary menu - Pages --> 
		<?php prim_redline_nav(); ?>
		<div id="search_box"><?php get_search_form(); ?></div> <!-- END Search Area -->
		</div><!-- END Pages & Search -->
		<!-- Logo -->
		<div id="logo">
		<header><h1 id="blog_header"><a href="<?php bloginfo( 'url' ); ?>"><?php bloginfo( 'name' ) ?></a></h1></header></div> <!-- End Logo -->
		
		<!-- Secondary menu -->
		<?php sec_redline_nav(); ?>	
	</div>	<!--END .header-->
	<div id="content"><!--BEGIN #content-->
